package cn.com.countrygarden.bi.main.model.dmn;

/**
 * @program: lingshi
 * @description:
 * @author: bug大神
 * @create: 2024-07-24 16:49
 **/


import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Table(name = "dnm_cost_information")
public class CostInformation {
    private static final long serialVersionUID = -36177348116975463L;
    @Id
    @Column(name = "id")
    private Integer id;
    @Column(name = "dnm_domain_information_id")
    private Integer dnmDomainInformationId;
    @Column(name = "cost_type")
    private String costType;
    @Column(name = "amount")
    private String amount;
    @Column(name = "department_attributes")
    private String departmentAttributes;
    @Column(name = "budget_department")
    private String budgetDepartment;
    @Column(name = "remarks")
    private String remarks;

    // Getters and Setters
    public Integer getId() {
        return id;
    }

    public CostInformation() {
    }


    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDnmDomainInformationId() {
        return dnmDomainInformationId;
    }

    public void setDnmDomainInformationId(Integer dnmDomainInformationId) {
        this.dnmDomainInformationId = dnmDomainInformationId;
    }

    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }

    public CostInformation(Integer id, Integer dnmDomainInformationId, String costType, String amount, String departmentAttributes, String budgetDepartment, String remarks) {
        this.id = id;
        this.dnmDomainInformationId = dnmDomainInformationId;
        this.costType = costType;
        this.amount = amount;
        this.departmentAttributes = departmentAttributes;
        this.budgetDepartment = budgetDepartment;
        this.remarks = remarks;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getDepartmentAttributes() {
        return departmentAttributes;
    }

    public void setDepartmentAttributes(String departmentAttributes) {
        this.departmentAttributes = departmentAttributes;
    }

    public String getBudgetDepartment() {
        return budgetDepartment;
    }

    public void setBudgetDepartment(String budgetDepartment) {
        this.budgetDepartment = budgetDepartment;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
